Allow management of LDAP SSH keys
Closed, ResolvedPublic

Description

Add user interface screens for adding/removing SSH keys associated with an LDAP account.

bd808 created this task.Sep 5 2016, 5:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2016, 5:30 AM
bd808 moved this task from Backlog to Ready on the Striker board.Dec 8 2016, 7:09 AM

Change 328058 had a related patch set uploaded (by BryanDavis):
Display existing SSH -keys

https://gerrit.wikimedia.org/r/328058

Change 328117 had a related patch set uploaded (by BryanDavis):
Allow deleting SSH keys

https://gerrit.wikimedia.org/r/328117

Change 328403 had a related patch set uploaded (by BryanDavis):
Add SSH key importing

https://gerrit.wikimedia.org/r/328403

bd808 moved this task from Ready to Doing on the Striker board.Dec 21 2016, 1:24 AM

Change 328711 had a related patch set uploaded (by BryanDavis):
Add wheels for sshpubkeys; upgrade cryptography

https://gerrit.wikimedia.org/r/328711

Change 328715 had a related patch set uploaded (by BryanDavis):
Bump wheels submodule for SSH public key management

https://gerrit.wikimedia.org/r/328715

Change 328841 had a related patch set uploaded (by BryanDavis):
Point SSH key goal at local key management screen

https://gerrit.wikimedia.org/r/328841

Change 328058 merged by jenkins-bot:
Display existing SSH keys

https://gerrit.wikimedia.org/r/328058

Change 328117 merged by jenkins-bot:
Allow deleting SSH keys

https://gerrit.wikimedia.org/r/328117

Change 328403 merged by jenkins-bot:
Add SSH key importing

https://gerrit.wikimedia.org/r/328403

Change 328841 merged by jenkins-bot:
Point SSH key goal at local key management screen

https://gerrit.wikimedia.org/r/328841

Change 328711 merged by jenkins-bot:
Add wheels for sshpubkeys; upgrade cryptography

https://gerrit.wikimedia.org/r/328711

Change 328715 merged by jenkins-bot:
Bump wheels submodule for SSH public key management

https://gerrit.wikimedia.org/r/328715

Change 333095 had a related patch set uploaded (by BryanDavis):
Bump static and striker submodules

https://gerrit.wikimedia.org/r/333095

Change 333095 merged by jenkins-bot:
Bump static and striker submodules

https://gerrit.wikimedia.org/r/333095

Mentioned in SAL (#wikimedia-operations) [2017-01-25T18:22:23Z] <bd808@tin> Finished deploy [striker/deploy@5aa3aa8]: Update Striker to 5aa3aa8 (T144710, T147024, T144712, T144711, T153935) (duration: 00m 24s)

bd808 closed this task as "Resolved".
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptJan 25 2017, 7:24 PM
bd808 moved this task from Doing to Done on the Striker board.Mar 4 2017, 3:53 AM